package com.steerinfo.baseinfo.meterbasevehiclerangeconfig.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="null")
public class MeterBaseVehicleRangeConfig implements IBasePO<String> {
    /**
     * 车型范围ID(VEHICLE_RANGE_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="车型范围ID",required=true)
    private String vehicleRangeId;

    /**
     * 车号(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String railwayNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 车型(CARRIGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车型",required=false)
    private String carrigeNo;

    /**
     * 载重(LOAD_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="载重",required=false)
    private Long loadWeight;

    /**
     * 毛重上限(GROSS_WEIGHT_UPPER,DECIMAL,10)
     */
    @ApiModelProperty(value="毛重上限",required=false)
    private Long grossWeightUpper;

    /**
     * 毛重下限(GROSS_WEIGHT_LOWER,DECIMAL,10)
     */
    @ApiModelProperty(value="毛重下限",required=false)
    private Long grossWeightLower;

    /**
     * 净重上限(NET_WEIGHT_UPPER,DECIMAL,10)
     */
    @ApiModelProperty(value="净重上限",required=false)
    private Long netWeightUpper;

    /**
     * 净重下限(NET_WEIGHT_LOWER,DECIMAL,10)
     */
    @ApiModelProperty(value="净重下限",required=false)
    private Long netWeightLower;

    /**
     * 轨道衡类型编号(RAILWAY_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="轨道衡类型编号",required=false)
    private String railwayTypeNo;

    /**
     * 轨道衡类型名称(RAILWAY_TYPE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="轨道衡类型名称",required=false)
    private String railwayTypeName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人名称(CREATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人名称",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人名称(UPDATE_MAN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人名称",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 状态（0：无效、1：有效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效、1：有效）",required=true)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.vehicleRangeId;
    }

    @Override
    public void setId(String vehicleRangeId) {
        this.vehicleRangeId = vehicleRangeId == null ? null : vehicleRangeId.trim();
    }

    public String getVehicleRangeId() {
        return vehicleRangeId;
    }

    public void setVehicleRangeId(String vehicleRangeId) {
        this.vehicleRangeId = vehicleRangeId == null ? null : vehicleRangeId.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCarrigeNo() {
        return carrigeNo;
    }

    public void setCarrigeNo(String carrigeNo) {
        this.carrigeNo = carrigeNo == null ? null : carrigeNo.trim();
    }

    public Long getLoadWeight() {
        return loadWeight;
    }

    public void setLoadWeight(Long loadWeight) {
        this.loadWeight = loadWeight;
    }

    public Long getGrossWeightUpper() {
        return grossWeightUpper;
    }

    public void setGrossWeightUpper(Long grossWeightUpper) {
        this.grossWeightUpper = grossWeightUpper;
    }

    public Long getGrossWeightLower() {
        return grossWeightLower;
    }

    public void setGrossWeightLower(Long grossWeightLower) {
        this.grossWeightLower = grossWeightLower;
    }

    public Long getNetWeightUpper() {
        return netWeightUpper;
    }

    public void setNetWeightUpper(Long netWeightUpper) {
        this.netWeightUpper = netWeightUpper;
    }

    public Long getNetWeightLower() {
        return netWeightLower;
    }

    public void setNetWeightLower(Long netWeightLower) {
        this.netWeightLower = netWeightLower;
    }

    public String getRailwayTypeNo() {
        return railwayTypeNo;
    }

    public void setRailwayTypeNo(String railwayTypeNo) {
        this.railwayTypeNo = railwayTypeNo == null ? null : railwayTypeNo.trim();
    }

    public String getRailwayTypeName() {
        return railwayTypeName;
    }

    public void setRailwayTypeName(String railwayTypeName) {
        this.railwayTypeName = railwayTypeName == null ? null : railwayTypeName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", vehicleRangeId=").append(vehicleRangeId);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", carrigeNo=").append(carrigeNo);
        sb.append(", loadWeight=").append(loadWeight);
        sb.append(", grossWeightUpper=").append(grossWeightUpper);
        sb.append(", grossWeightLower=").append(grossWeightLower);
        sb.append(", netWeightUpper=").append(netWeightUpper);
        sb.append(", netWeightLower=").append(netWeightLower);
        sb.append(", railwayTypeNo=").append(railwayTypeNo);
        sb.append(", railwayTypeName=").append(railwayTypeName);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}